
/* This file prints the contents of a secret file.
 * The path to a .secret file must be provided.
 * See the code for examples of how to access message contents.
 *
 * More information about parsing can be found at
 * https://developers.google.com/protocol-buffers/docs/reference/java-generated
 */
// The included jar file was obtained from http://search.maven.org/remotecontent?filepath=com/google/protobuf/protobuf-java/2.6.1/protobuf-java-2.6.1.jar

import crypto.proto.RLWE.challenges.*;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.PrintStream;

class SecretParser {
  public static void main(String[] args) throws Exception {

    // read a secret file
    Challenges.Secret secret =
      Challenges.Secret.parseFrom(new FileInputStream(args[0]));
    //print the entire secret
    System.out.println(secret);
    // first decoding basis coefficient of the secret
    System.out.println(secret.getS().getXs(0));
    System.out.println("See source code in SecretParser.java for examples of how to access specific message members.");
  }
}
